//*************************************************************
// I2C LCD Cu@PIC18  Ver 1.0 20110320
// ȉ̋@\񋟂
//
//    LCD_int()     ----- 
//    LCD_cmd(cmd)  ----- R}ho
//    LCD_dat(chr)  ----- P\
//    LCD_str(*str) ----- \
//    LCD_posyx(y,x) ---- J[\ʒuwAs yAʒu x
//    LCD_clr()     ----- S
//    LCD_icon_on(icn); -- wACR ON
//    LCD_icon_off(icn);-- wACR OFF
//    LCD_icon_clr();----- SACR OFF
//
//t\PICI2Cɂڑ
//     1)Define I/O PORT
//         PORTB(4)pin13    :  SDA
//         PORTB(6)pin11    :  SCL
//     2)OSC
//         NbN@4MHz 
//
//************* Delay *******************************************
// KvƂfBCԂNbNgvZAw肷
// ߃TCNiTCY)́ANbN@S̎ԂłB
// NbNύXꍇɂ́ALQƂ
// ** Delay Define ** ύX邱
//
// @@Clock = 4Mhz@instruction cycle = 1Mhz (1Sec)
//      Clock         --4Mhz---   --40Mhz--   --48Mhz--
//      Delay1TCY       1Sec      0.1Sec    80nSec
//      Delay10TCYx     10Sec     1Sec      0.8Sec
//      Delay100TCYx    100Sec    10Sec     8Sec
//      Delay1KTCYx     1mSec       0.1mSec     80Sec
//      Delay10KTCYx    10mSec      1mSec       0.8mSec 
//
//*************** Delay Define 4Mhz*******************************
//#define  Delay_50uS  Delay10TCYx(5)
//#define  Delay_2mS   Delay1KTCYx(2)
//#define  Delay_100mS  Delay1KTCYx(100)
//*************** Delay Define 48Mhz*******************************
#define  Delay_50uS  Delay10TCYx(63)
#define  Delay_2mS   Delay1KTCYx(24)
#define  Delay_100mS  Delay10KTCYx(125)

//********************************
//  p萔
//*********************************
//#define CONTRAST  0x2D		// for 3.3V
#define CONTRAST  0x16		// for 5V

//********************************
//  ACR萔
//*********************************
#define i_Ant  0x4010		// Aei
#define i_Tel  0x4210		// db
#define i_Aud  0x4410		// 
#define i_Pulg  0x4610		// ڑ
#define i_Up  0x4710		// Up
#define i_Dn  0x4708		// Down
#define i_UpDn  0x4718		// Down
#define i_Lock  0x4910		// 
#define i_XFlag  0x4B10		// X
#define i_BatEMP  0x4D02	// obe[
#define i_BatLOW  0x4D12	// obe[
#define i_BatMID  0x4D1A	// obe[
#define i_BatFUL  0x4D1E	// obe[
#define i_Circle  0x4F10	// Od

//******************* 񋟋@\ *******************************
void LCD_dat(char chr);
void LCD_cmd(char cmd);
void LCD_clr(void);
void LCD_int(void);
void LCD_str(char *str);
void LCD_posyx(char ypos,char xpos);
void LCD_icon_on(int icn);
void LCD_icon_off(int icn);
void LCD_icon_clr(void);
